searchNodes=[{"ref":"Opencensus.Absinthe.html","title":"Opencensus.Absinthe","type":"module","doc":"Extends Absinthe to automatically create opencensus spans. Designed to work with whatever is producing spans upstream, e.g. Opencensus.Plug. Installation Assuming you&#39;re using Absinthe.Plug: Add opencensus_absinthe to your deps in mix.exs, using a tighter version constraint than: {:absinthe_plug, &quot;&gt;= 0.0.0&quot;}, {:opencensus_absinthe, &quot;&gt;= 0.0.0&quot;}, Add a :pipeline to your Absinthe.Plug.opts/0 to have it call Opencensus.Absinthe.Plug.traced_pipeline/2. If you&#39;re using Phoenix.Router.forward/4, for example: forward( path, Absinthe.Plug, # ... existing config ... pipeline: {Opencensus.Absinthe.Plug, :traced_pipeline} ) If you already have a pipeline, you can define your own and call both to insert their phases. To work with ApolloTracing, for example: def your_custom_pipeline(config, pipeline_opts \\ []) do config |&gt; Absinthe.Plug.default_pipeline(pipeline_opts) |&gt; ApolloTracing.Pipeline.add_phases() |&gt; Opencensus.Absinthe.add_phases() end Worst case, you&#39;ll need to copy the code from the current pipeline target and add a call to Opencensus.Absinthe.add_phases/1 as above."},{"ref":"Opencensus.Absinthe.html#add_phases/1","title":"Opencensus.Absinthe.add_phases/1","type":"function","doc":"Add tracing phases to an existing pipeline for blueprint resolution. pipeline = Absinthe.Pipeline.for_document(schema, pipeline_opts) |&gt; Opencensus.Absinthe.add_phases()"},{"ref":"Opencensus.Absinthe.html#middleware/3","title":"Opencensus.Absinthe.middleware/3","type":"function","doc":"Add tracing middleware for field resolution. Specifically, prepends Opencensus.Absinthe.Middleware to the middleware chain if the field has trace or absinthe_telemetry set in its metadata, e.g.: field :users, list_of(:user), meta: [trace: true] do middleware(Middleware.Authorize, &quot;superadmin&quot;) resolve(&amp;Resolvers.Account.all_users/2) end"},{"ref":"Opencensus.Absinthe.Middleware.html","title":"Opencensus.Absinthe.Middleware","type":"module","doc":"Absinthe.Middleware for field resolution tracing."},{"ref":"Opencensus.Absinthe.Plug.html","title":"Opencensus.Absinthe.Plug","type":"module","doc":"Modify your Absinthe.Plug pipeline for Opencensus.Absinthe: Installation Specify traced_pipeline/2 as your pipeline in your Absinthe.Plug.opts/0, e.g. via Phoenix.Router.forward/4: forward &quot;/graphql&quot;, Absinthe.Plug, schema: MyApp.Schema, pipeline: {Opencensus.Absinthe.Plug, :traced_pipeline} WARNING: traced_pipeline/2 will be present only if Absinthe.Plug is loaded. Don&#39;t forget your absinthe_plug dependency in mix.exs!"},{"ref":"Opencensus.Absinthe.Plug.html#traced_pipeline/2","title":"Opencensus.Absinthe.Plug.traced_pipeline/2","type":"function","doc":"Return the default pipeline with tracing phases. See also: Absinthe.Pipeline.for_document/2. Absinthe.Plug.default_pipeline/1."}]